> ## Documentation Index
> Fetch the complete documentation index at: https://developer.chessplay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Student

> Delete a student from your organization

## Authentication

<ParamField header="Authorization" type="string" required>
  Bearer token for authentication (Admin only)
</ParamField>

## Path Parameters

<ParamField path="id" type="integer" required>
  Student ID to delete
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.chessplay.io/api/v1/students/123/ \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```

  ```python Python theme={null}
  import requests

  headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
  response = requests.delete(
      "https://api.chessplay.io/api/v1/students/123/",
      headers=headers
  )
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.chessplay.io/api/v1/students/123/', {
    method: 'DELETE',
    headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
  });
  ```
</RequestExample>

<ResponseExample>
  ```json 204 No Content theme={null}
  ```

  ```json 403 Forbidden theme={null}
  {
    "detail": "You do not have permission to perform this action."
  }
  ```

  ```json 404 Not Found theme={null}
  {
    "detail": "Not found."
  }
  ```
</ResponseExample>

<Warning>
  Only **Admin users** can delete students.
</Warning>
